<?php
/**
 * @category   Location
 * @package    Location_DeliveryArea
 * @author     shashank.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Location\DeliveryArea\Controller\Index;

class Index extends \Magento\Framework\App\Action\Action
{
	public function execute()
    {

   $data= $this->getRequest()->getPost();
   

    	$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
 $cart = $objectManager->get('\Magento\Checkout\Model\Cart'); 

// retrieve quote items collection
$itemsCollection = $cart->getQuote()->getItemsCollection();

// get array of all items what can be display directly
$itemsVisible = $cart->getQuote()->getAllVisibleItems();

// retrieve quote items array
 $items = $cart->getQuote()->getAllItems();

foreach($items as $item) {
  if ($item->getSku()==$data['sku']) {
    echo $item->getId();
    break;
  }else{

  }
	// echo 'ItemID: '.$item->getId().'<br />';
 //     echo 'ID: '.$item->getProductId().'<br />';
 //      echo 'Name: '.$item->getName().'<br />';
 //       echo 'Sku: '.$item->getSku().'<br />';
 //       echo 'Quantity: '.$item->getQty().'<br />';
 //      echo 'Price: '.$item->getPrice().'<br />';
 //    echo "<br />";            
  }
        // $this->_view->loadLayout();
        // $this->_view->getLayout()->initMessages();
        // $this->_view->renderLayout();
    }
}
